searchData={"items":[{"type":"module","title":"Rivet.Email","doc":"sendto(recips, template)\nsendto(recips, template, assigns)\n\nFor each good recipient call template.format(%@email_model{}, assigns),\nwhere email.user is preloaded on %@email_model{}\n\n- `recips` can be one or list of: user id, a `user_model`, or a `email_model`\n- `assigns` (optional) is a dictionary with key/value attributes to use in the template\n\nReturns a tuple of :ok or :error with a list of results from each send.\nIt will stop at the first error, however, and not continue.","ref":"Rivet.Email.html"},{"type":"function","title":"Rivet.Email.mailer/0","doc":"","ref":"Rivet.Email.html#mailer/0"},{"type":"module","title":"Rivet.Email.Example.Mailer","doc":"This is an example of how to deploy Rivet Email, and is included so other\nprojects may include it in their tests.","ref":"Rivet.Email.Example.Mailer.html"},{"type":"function","title":"Rivet.Email.Example.Mailer.deliver/3","doc":"","ref":"Rivet.Email.Example.Mailer.html#deliver/3"},{"type":"function","title":"Rivet.Email.Example.Mailer.get_email/1","doc":"","ref":"Rivet.Email.Example.Mailer.html#get_email/1"},{"type":"function","title":"Rivet.Email.Example.Mailer.get_emails/2","doc":"","ref":"Rivet.Email.Example.Mailer.html#get_emails/2"},{"type":"function","title":"Rivet.Email.Example.Mailer.log_email/1","doc":"","ref":"Rivet.Email.Example.Mailer.html#log_email/1"},{"type":"function","title":"Rivet.Email.Example.Mailer.send_email/1","doc":"","ref":"Rivet.Email.Example.Mailer.html#send_email/1"},{"type":"function","title":"Rivet.Email.Example.Mailer.sendto/3","doc":"","ref":"Rivet.Email.Example.Mailer.html#sendto/3"},{"type":"type","title":"Rivet.Email.Example.Mailer.email_model/0","doc":"","ref":"Rivet.Email.Example.Mailer.html#t:email_model/0"},{"type":"type","title":"Rivet.Email.Example.Mailer.email_recipient/0","doc":"","ref":"Rivet.Email.Example.Mailer.html#t:email_recipient/0"},{"type":"type","title":"Rivet.Email.Example.Mailer.user_id/0","doc":"","ref":"Rivet.Email.Example.Mailer.html#t:user_id/0"},{"type":"type","title":"Rivet.Email.Example.Mailer.user_model/0","doc":"","ref":"Rivet.Email.Example.Mailer.html#t:user_model/0"},{"type":"module","title":"Rivet.Email.Example.Mailer.Backend","doc":"","ref":"Rivet.Email.Example.Mailer.Backend.html"},{"type":"function","title":"Rivet.Email.Example.Mailer.Backend.deliver/2","doc":"","ref":"Rivet.Email.Example.Mailer.Backend.html#deliver/2"},{"type":"function","title":"Rivet.Email.Example.Mailer.Backend.deliver!/2","doc":"","ref":"Rivet.Email.Example.Mailer.Backend.html#deliver!/2"},{"type":"function","title":"Rivet.Email.Example.Mailer.Backend.deliver_many/2","doc":"","ref":"Rivet.Email.Example.Mailer.Backend.html#deliver_many/2"},{"type":"module","title":"Rivet.Email.Example.Mailer.Email","doc":"","ref":"Rivet.Email.Example.Mailer.Email.html"},{"type":"function","title":"Rivet.Email.Example.Mailer.Email.mock/0","doc":"","ref":"Rivet.Email.Example.Mailer.Email.html#mock/0"},{"type":"function","title":"Rivet.Email.Example.Mailer.Email.one/1","doc":"","ref":"Rivet.Email.Example.Mailer.Email.html#one/1"},{"type":"function","title":"Rivet.Email.Example.Mailer.Email.preload/2","doc":"","ref":"Rivet.Email.Example.Mailer.Email.html#preload/2"},{"type":"module","title":"Rivet.Email.Example.Mailer.Template","doc":"","ref":"Rivet.Email.Example.Mailer.Template.html"},{"type":"function","title":"Rivet.Email.Example.Mailer.Template.eval/3","doc":"","ref":"Rivet.Email.Example.Mailer.Template.html#eval/3"},{"type":"function","title":"Rivet.Email.Example.Mailer.Template.load_and_eval/2","doc":"","ref":"Rivet.Email.Example.Mailer.Template.html#load_and_eval/2"},{"type":"function","title":"Rivet.Email.Example.Mailer.Template.send/2","doc":"","ref":"Rivet.Email.Example.Mailer.Template.html#send/2"},{"type":"module","title":"Rivet.Email.Example.Mailer.User","doc":"","ref":"Rivet.Email.Example.Mailer.User.html"},{"type":"function","title":"Rivet.Email.Example.Mailer.User.mock/0","doc":"","ref":"Rivet.Email.Example.Mailer.User.html#mock/0"},{"type":"function","title":"Rivet.Email.Example.Mailer.User.one/1","doc":"","ref":"Rivet.Email.Example.Mailer.User.html#one/1"},{"type":"function","title":"Rivet.Email.Example.Mailer.User.preload/2","doc":"","ref":"Rivet.Email.Example.Mailer.User.html#preload/2"},{"type":"behaviour","title":"Rivet.Email.Template","doc":"","ref":"Rivet.Email.Template.html"},{"type":"function","title":"Rivet.Email.Template.aggregate/2","doc":"","ref":"Rivet.Email.Template.html#aggregate/2"},{"type":"function","title":"Rivet.Email.Template.all/2","doc":"","ref":"Rivet.Email.Template.html#all/2"},{"type":"function","title":"Rivet.Email.Template.all!/2","doc":"","ref":"Rivet.Email.Template.html#all!/2"},{"type":"function","title":"Rivet.Email.Template.associate/3","doc":"","ref":"Rivet.Email.Template.html#associate/3"},{"type":"function","title":"Rivet.Email.Template.build/1","doc":"","ref":"Rivet.Email.Template.html#build/1"},{"type":"function","title":"Rivet.Email.Template.change_post/2","doc":"change_post for side effects; should return the item\n\nNote: BE VERY CAREFUL on large impact effects. This can quickly become\na performance bottleneck.","ref":"Rivet.Email.Template.html#change_post/2"},{"type":"function","title":"Rivet.Email.Template.change_prep/2","doc":"change_prep alters the params only, and may only return {:ok, params}","ref":"Rivet.Email.Template.html#change_prep/2"},{"type":"function","title":"Rivet.Email.Template.change_validate/1","doc":"change_validate is only run for changing existing records","ref":"Rivet.Email.Template.html#change_validate/1"},{"type":"function","title":"Rivet.Email.Template.changeset/2","doc":"","ref":"Rivet.Email.Template.html#changeset/2"},{"type":"function","title":"Rivet.Email.Template.count!/0","doc":"","ref":"Rivet.Email.Template.html#count!/0"},{"type":"function","title":"Rivet.Email.Template.count!/1","doc":"","ref":"Rivet.Email.Template.html#count!/1"},{"type":"function","title":"Rivet.Email.Template.count_by_inserted!/0","doc":"","ref":"Rivet.Email.Template.html#count_by_inserted!/0"},{"type":"function","title":"Rivet.Email.Template.count_by_inserted!/1","doc":"","ref":"Rivet.Email.Template.html#count_by_inserted!/1"},{"type":"function","title":"Rivet.Email.Template.count_by_updated!/0","doc":"","ref":"Rivet.Email.Template.html#count_by_updated!/0"},{"type":"function","title":"Rivet.Email.Template.count_by_updated!/1","doc":"","ref":"Rivet.Email.Template.html#count_by_updated!/1"},{"type":"function","title":"Rivet.Email.Template.create/1","doc":"","ref":"Rivet.Email.Template.html#create/1"},{"type":"function","title":"Rivet.Email.Template.create_post/2","doc":"create_post for side effects; should return the item\n\nNote: BE VERY CAREFUL on large impact effects. This can quickly become\na performance bottleneck.","ref":"Rivet.Email.Template.html#create_post/2"},{"type":"function","title":"Rivet.Email.Template.create_prep/2","doc":"create_prep alters the params only, and may only return {:ok, params}","ref":"Rivet.Email.Template.html#create_prep/2"},{"type":"function","title":"Rivet.Email.Template.create_validate/1","doc":"create_validate is only run for creating new records","ref":"Rivet.Email.Template.html#create_validate/1"},{"type":"function","title":"Rivet.Email.Template.delete/1","doc":"","ref":"Rivet.Email.Template.html#delete/1"},{"type":"function","title":"Rivet.Email.Template.delete_all/2","doc":"","ref":"Rivet.Email.Template.html#delete_all/2"},{"type":"function","title":"Rivet.Email.Template.delete_all_ids/2","doc":"","ref":"Rivet.Email.Template.html#delete_all_ids/2"},{"type":"function","title":"Rivet.Email.Template.drop_replace/2","doc":"","ref":"Rivet.Email.Template.html#drop_replace/2"},{"type":"function","title":"Rivet.Email.Template.exists?/1","doc":"","ref":"Rivet.Email.Template.html#exists?/1"},{"type":"function","title":"Rivet.Email.Template.full_table_scan/2","doc":"","ref":"Rivet.Email.Template.html#full_table_scan/2"},{"type":"callback","title":"Rivet.Email.Template.generate/2","doc":"","ref":"Rivet.Email.Template.html#c:generate/2"},{"type":"function","title":"Rivet.Email.Template.html2text/1","doc":"iex> html2text(\" an html doc   Header \")\n\"an html doc\\r\\n\\r\\n\\r\\n# Header\\r\\n\"","ref":"Rivet.Email.Template.html#html2text/1"},{"type":"function","title":"Rivet.Email.Template.insert/2","doc":"","ref":"Rivet.Email.Template.html#insert/2"},{"type":"function","title":"Rivet.Email.Template.latest/2","doc":"","ref":"Rivet.Email.Template.html#latest/2"},{"type":"function","title":"Rivet.Email.Template.latest!/2","doc":"","ref":"Rivet.Email.Template.html#latest!/2"},{"type":"function","title":"Rivet.Email.Template.one/2","doc":"","ref":"Rivet.Email.Template.html#one/2"},{"type":"function","title":"Rivet.Email.Template.one!/2","doc":"","ref":"Rivet.Email.Template.html#one!/2"},{"type":"function","title":"Rivet.Email.Template.preload/3","doc":"","ref":"Rivet.Email.Template.html#preload/3"},{"type":"function","title":"Rivet.Email.Template.preload!/3","doc":"","ref":"Rivet.Email.Template.html#preload!/3"},{"type":"function","title":"Rivet.Email.Template.preserve_links/1","doc":"iex> preserve_links(\" bar  baz  bork .\")\n\"bar  baz bork .\"\niex> preserve_links(\" bar  baz\")\n\"bar  baz\"","ref":"Rivet.Email.Template.html#preserve_links/1"},{"type":"function","title":"Rivet.Email.Template.reload/1","doc":"","ref":"Rivet.Email.Template.html#reload/1"},{"type":"function","title":"Rivet.Email.Template.replace/2","doc":"","ref":"Rivet.Email.Template.html#replace/2"},{"type":"function","title":"Rivet.Email.Template.replace_fill/2","doc":"Similar to replace, but it doesn't remove existing values if the attrs has nil","ref":"Rivet.Email.Template.html#replace_fill/2"},{"type":"callback","title":"Rivet.Email.Template.sendto/2","doc":"","ref":"Rivet.Email.Template.html#c:sendto/2"},{"type":"function","title":"Rivet.Email.Template.stream/2","doc":"","ref":"Rivet.Email.Template.html#stream/2"},{"type":"function","title":"Rivet.Email.Template.stream_all!/2","doc":"","ref":"Rivet.Email.Template.html#stream_all!/2"},{"type":"function","title":"Rivet.Email.Template.touch/1","doc":"Update our updated_at but only if it hasn't changed within a minute\n(less load)","ref":"Rivet.Email.Template.html#touch/1"},{"type":"function","title":"Rivet.Email.Template.unload/1","doc":"","ref":"Rivet.Email.Template.html#unload/1"},{"type":"function","title":"Rivet.Email.Template.unload/2","doc":"","ref":"Rivet.Email.Template.html#unload/2"},{"type":"function","title":"Rivet.Email.Template.update/2","doc":"","ref":"Rivet.Email.Template.html#update/2"},{"type":"function","title":"Rivet.Email.Template.update!/2","doc":"","ref":"Rivet.Email.Template.html#update!/2"},{"type":"function","title":"Rivet.Email.Template.update_all/2","doc":"","ref":"Rivet.Email.Template.html#update_all/2"},{"type":"function","title":"Rivet.Email.Template.update_fill/2","doc":"","ref":"Rivet.Email.Template.html#update_fill/2"},{"type":"function","title":"Rivet.Email.Template.upsert/2","doc":"","ref":"Rivet.Email.Template.html#upsert/2"},{"type":"function","title":"Rivet.Email.Template.validate/1","doc":"","ref":"Rivet.Email.Template.html#validate/1"},{"type":"function","title":"Rivet.Email.Template.validate_post/1","doc":"a hook if you just want to extend validate","ref":"Rivet.Email.Template.html#validate_post/1"},{"type":"type","title":"Rivet.Email.Template.ecto_p_result/0","doc":"","ref":"Rivet.Email.Template.html#t:ecto_p_result/0"},{"type":"type","title":"Rivet.Email.Template.id/0","doc":"","ref":"Rivet.Email.Template.html#t:id/0"},{"type":"type","title":"Rivet.Email.Template.model_p_result/0","doc":"","ref":"Rivet.Email.Template.html#t:model_p_result/0"},{"type":"type","title":"Rivet.Email.Template.t/0","doc":"","ref":"Rivet.Email.Template.html#t:t/0"},{"type":"module","title":"Rivet.Email.Template.Helpers","doc":"","ref":"Rivet.Email.Template.Helpers.html"},{"type":"function","title":"Rivet.Email.Template.Helpers.email_addr/1","doc":"useful function to normalize different ways email addrs may come in.\n\niex> email_addr(\"this@that\")\n\"this@that\"\niex> email_addr({10, \"this@that\"})\n\"this@that\"\niex> email_addr(%{address: \"this@that\"})\n\"this@that\"","ref":"Rivet.Email.Template.Helpers.html#email_addr/1"}],"content_type":"text/markdown"}